Bug 2062415 - SDDM always shows 'af' keyboard layout selected by default, changing to a different layout doesn't appear to have any effect
Summary: SDDM always shows 'af' keyboard layout selected by default, changing to a dif...
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: sddm
Version: 37
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 2061954 2071739 (view as bug list)
Depends On:
Blocks: F37FinalBlocker, FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2022-03-09 18:12 UTC by Adam Williamson
Modified: 2022-08-09 13:38 UTC (History)
15 users (show)

Fixed In Version: sddm-0.19.0^git20220228.c257a40-4.fc36
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-03-25 08:35:53 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github sddm sddm issues 1528 0 None open keyboard layout selections don't work in SDDM with Wayland greeter 2022-03-09 19:33:12 UTC

Description Adam Williamson 2022-03-09 18:12:46 UTC
In Fedora 36 and Rawhide, whatever language/keyboard layout you select during installation, SDDM will show the selected keyboard layout as 'af' when you boot up. This is Afrikaans, which AIUI is functionally very similar to the US English layout (I think it supports some additional characters with dead keys).

I tried to test what keyboard layout is *actually* being used. I did an install in UK English, with a user called 'test' with password 'test'. After install, I logged in, verified the UK English keyboard layout was being used in KDE, and changed the user's password to:

weakpassword"

Note that in the UK English keyboard layout, you type the " character with shift-2. On US English and similar layouts, you type it with shift-' , where ' is the key to the left of the Enter key. On a US English keyboard, shift-2 gives the character @.

So, if the keyboard layout in use is UK English, I should be able to log in by typing shift-2; if it's US English or similar I should type shift-' .

If I leave the layout selector in SDDM at 'af', I can log in by typing shift-' , which is consistent with the layout being 'af' or 'us'.

If I change the layout selector in SDDM to 'gb', which should give me a UK English layout, I cannot log in by typing shift-2 as expected. I still have to type shift-'. So it seems like changing the layout does not work.

Executive summary: keyboard layouts in SDDM are just hosed. I think it's either always using 'af' or always using 'us', and selecting layouts just does not work. I wonder if this has never actually been hooked up to work properly on Wayland?

In KDE itself, this does work properly. The UK layout is used by default as expected.

Proposing as a Final blocker per criterion "If a particular keyboard layout has been configured for the system, that keyboard layout must be used: ... When logging in via the default login manager for a release-blocking desktop" - https://fedoraproject.org/wiki/Fedora_36_Final_Release_Criteria#Keyboard_layout_configuration , and as a Beta FE as this is obviously a highly-visible issue for non-US users.

Comment 1 Neal Gompa 2022-03-09 19:33:12 UTC
Reported upstream: https://github.com/sddm/sddm/issues/1528

Comment 2 Neal Gompa 2022-03-09 19:37:22 UTC
Note this is using SDDM with KWin as the Wayland compositor.

Comment 3 Adam Williamson 2022-03-12 00:10:14 UTC
+3 in https://pagure.io/fedora-qa/blocker-review/issue/652 , marking accepted.

Comment 4 Adam Williamson 2022-03-14 16:11:34 UTC
+5 for Final blocker in https://pagure.io/fedora-qa/blocker-review/issue/652 , marking accepted.

Comment 5 Fedora Update System 2022-03-16 20:33:41 UTC
FEDORA-2022-a541c359e4 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-a541c359e4

Comment 6 Neal Gompa 2022-03-16 20:35:36 UTC
I've attached the update that reverts us back sddm on X11 to resolve this. Unfortunately, we just *can't* fix this in time.

Comment 7 Fedora Update System 2022-03-17 17:10:27 UTC
FEDORA-2022-a541c359e4 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-a541c359e4`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-a541c359e4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2022-03-19 00:40:37 UTC
FEDORA-2022-a541c359e4 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Kamil Páral 2022-03-20 10:50:13 UTC
This needs verification with the Beta 1.2 image.

Comment 10 Kamil Páral 2022-03-25 08:35:53 UTC
I tested F36 Beta KDE Live with a default us english and then again with czech keymap. Upon reboot, there is no keymap selection in sddm, but the expected keymap (us or cz) is working as intended. Closing.

Comment 11 Adam Williamson 2022-03-25 18:51:21 UTC
Well, the "fix" here was more of a workaround: we reverted to the X11 SDDM. But only on F36. We didn't do that on Rawhide, so Rawhide still has the problem. Re-opening, and moving to Rawhide (and nominating as an F37 Final blocker).

Comment 12 MicMor 2022-05-20 07:14:36 UTC
Hello,

Error for me too with fedora 36 and wayland

Comment 13 MicMor 2022-05-20 08:34:29 UTC
Patch:

Uninstall sddm-wayland-plasma 
Install sddm-x11

in/etc/sddm.conf

[General]
DisplayServer=wayland **-->**  DisplayServer=x11
InputMethod=composed
Numlock=on


And it’s good, the keyboard is well in Fr - azerty and the keypad lock works

Comment 14 Neal Gompa 2022-05-20 12:01:12 UTC
(In reply to MicMor from comment #13)
> Patch:
> 
> Uninstall sddm-wayland-plasma 
> Install sddm-x11
> 
> in/etc/sddm.conf
> 
> [General]
> DisplayServer=wayland **-->**  DisplayServer=x11
> InputMethod=composed
> Numlock=on
> 
> 
> And it’s good, the keyboard is well in Fr - azerty and the keypad lock works

These are redundant actions. Just do "dnf swap sddm-wayland-plasma sddm-x11" and reboot.

Comment 15 Timothée Ravier 2022-05-25 16:50:11 UTC
*** Bug 2061954 has been marked as a duplicate of this bug. ***

Comment 16 Timothée Ravier 2022-05-25 17:00:24 UTC
*** Bug 2071739 has been marked as a duplicate of this bug. ***

Comment 17 Ben Cotton 2022-08-09 13:38:05 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 37 development cycle.
Changing version to 37.


Note You need to log in before you can comment on or make changes to this bug.